From 028e024ac3d2114128bfc5aa3cc14d3107a15c2a Mon Sep 17 00:00:00 2001
From: DJ Mills <danielmills1@gmail.com>
Date: Thu, 7 Jul 2011 21:39:54 -0400
Subject: [PATCH] got rid of OPT_TEMP hack and pointless pre-optimization in
 in_array

---
 scripts/makepkg.sh.in |   10 +++-------
 1 files changed, 3 insertions(+), 7 deletions(-)

diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 1b132a9..7cde4a7 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -318,10 +318,8 @@ in_opt_array() {
 #          1 - not found
 ##
 in_array() {
-	local needle=$1; shift
-	[[ -z $1 ]] && return 1 # Not Found
-	local item
-	for item in "$@"; do
+	local needle=$1 item; shift
+	for item; do
 		[[ $item = $needle ]] && return 0 # Found
 	done
 	return 1 # Not Found
@@ -1754,9 +1752,7 @@ OPT_LONG+=",install,key:,log,nocolor,nobuild,nocheck,nosign,pkg:,rmdeps"
 OPT_LONG+=",repackage,skipinteg,sign,source,syncdeps,version,config:"
 # Pacman Options
 OPT_LONG+=",noconfirm,noprogressbar"
-OPT_TEMP="$(parse_options $OPT_SHORT $OPT_LONG "$@" || echo 'PARSE_OPTIONS FAILED')"
-if [[ $OPT_TEMP = *'PARSE_OPTIONS FAILED'* ]]; then
-	# This is a small hack to stop the script bailing with 'set -e'
+if ! OPT_TEMP=$(parse_options $OPT_SHORT $OPT_LONG "$@"); then
 	echo; usage; exit 1 # E_INVALID_OPTION;
 fi
 eval set -- "$OPT_TEMP"
-- 
1.7.6

